package com.foreverwin.mesnac.integration.dto;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;
import java.math.BigDecimal;

@XmlAccessorType( XmlAccessType.FIELD )
@XmlType(name = "BomComponentDto", propOrder = {
        "SEQ",
        "RSNUM",
        "MATNR",
        "UNIT",
        "OPERATION",
        "QTY",
        "IS_VIRTUSAL",
        "COMPONENT_TYPE",
        "STEP_ID"
})
public class BomComponentDto {

    @XmlElement(name = "SEQ", required = true)
    private BigDecimal SEQ;
    @XmlElement(name = "RSNUM")
    private String RSNUM;
    @XmlElement(name = "MATNR", required = true)
    private String MATNR;
    @XmlElement(name = "UNIT")
    private String UNIT;
    @XmlElement(name = "OPERATION", required = true)
    private String OPERATION;
    @XmlElement(name = "QTY", required = true)
    private BigDecimal QTY;
    @XmlElement(name = "IS_VIRTUSAL")
    private String IS_VIRTUSAL;
    @XmlElement(name = "COMPONENT_TYPE")
    private String COMPONENT_TYPE;
    @XmlElement(name = "STEP_ID", required = true)
    private String STEP_ID;

    public BigDecimal getSEQ() {
        return SEQ;
    }

    public void setSEQ(BigDecimal SEQ) {
        this.SEQ = SEQ;
    }

    public String getRSNUM() {
        return RSNUM;
    }

    public void setRSNUM(String RSNUM) {
        this.RSNUM = RSNUM;
    }

    public String getMATNR() {
        return MATNR;
    }

    public void setMATNR(String MATNR) {
        this.MATNR = MATNR;
    }

    public String getUNIT() {
        return UNIT;
    }

    public void setUNIT(String UNIT) {
        this.UNIT = UNIT;
    }

    public String getOPERATION() {
        return OPERATION;
    }

    public void setOPERATION(String OPERATION) {
        this.OPERATION = OPERATION;
    }

    public BigDecimal getQTY() {
        return QTY;
    }

    public void setQTY(BigDecimal QTY) {
        this.QTY = QTY;
    }

    public String getIS_VIRTUSAL() {
        return IS_VIRTUSAL;
    }

    public void setIS_VIRTUSAL(String IS_VIRTUSAL) {
        this.IS_VIRTUSAL = IS_VIRTUSAL;
    }

    public String getCOMPONENT_TYPE() {
        return COMPONENT_TYPE;
    }

    public void setCOMPONENT_TYPE(String COMPONENT_TYPE) {
        this.COMPONENT_TYPE = COMPONENT_TYPE;
    }

    public String getSTEP_ID() {
        return STEP_ID;
    }

    public void setSTEP_ID(String STEP_ID) {
        this.STEP_ID = STEP_ID;
    }

    @Override
    public String toString() {
        return "BomComponentDto{" +
                "SEQ='" + SEQ + '\'' +
                ", RSNUM='" + RSNUM + '\'' +
                ", MATNR='" + MATNR + '\'' +
                ", UNIT='" + UNIT + '\'' +
                ", OPERATION='" + OPERATION + '\'' +
                ", QTY=" + QTY +
                ", IS_VIRTUSAL='" + IS_VIRTUSAL + '\'' +
                ", COMPONENT_TYPE='" + COMPONENT_TYPE + '\'' +
                ", STEP_ID='" + STEP_ID + '\'' +
                '}';
    }
}
